Feature: Add test case feature

  As a proxy administrator
  I want to add a new test case directory
  In order to use it to test proxies

  Background:
    Given The default aruba timeout is 15 seconds

  Scenario: Test repository exists
    Given a configuration file named "config.yaml" with:
      | parameter            | value                                       | option       |
      | config_file          | ~/.config/proxy_tester/config.yaml          | resolve_path |
      | user_file            | ~/.config/proxy_tester/users.csv            | resolve_path |
      | test_cases_directory | ~/.config/proxy_tester/testcases.d          | resolve_path |
      | debug_mode           | false                                       |              |
      | log_level            | :info                                       |              |
      | examples_directory   | ~/.config/proxy_tester/testcases.d/examples | resolve_path |
      | reports_directory    | ~/.local/share/proxy_tester/reports.d       | resolve_path |
    And a repository named "repo.git" with
      | path | content |
      | file1.pac | asdf1 |
    When I successfully run `proxy_tester add repo.git --config-file config.yaml`
    Then a repository named "~/.config/proxy_tester/testcases.d/repo/.git" should exist

  Scenario: Test repository does not exist
    Given a configuration file named "config.yaml" with:
      | parameter            | value                                       | option       |
      | config_file          | ~/.config/proxy_tester/config.yaml          | resolve_path |
      | user_file            | ~/.config/proxy_tester/users.csv            | resolve_path |
      | test_cases_directory | ~/.config/proxy_tester/testcases.d          | resolve_path |
      | debug_mode           | false                                       |              |
      | log_level            | :info                                       |              |
      | examples_directory   | ~/.config/proxy_tester/testcases.d/examples | resolve_path |
      | reports_directory    | ~/.local/share/proxy_tester/reports.d       | resolve_path |
    When I run `proxy_tester add repo.git --config-file config.yaml`
    Then the exit status should be 15
    And the output should contain:
    """
    """

