# encoding: utf-8
require 'spec_helper'

describe Environment do
  context '#initialize' do
    it 'requires no arguments' do
      expect {
        Environment.new
      }.not_to raise_error
    end
  end

  context '#request_password' do
    it 'asks for password' do
      stderr = double(stderr)
      expect(stderr).to receive(:printf).with('Please enter password: ')

      stdin = double('stdin')
      expect(stdin).to receive(:readline).and_return('passwd')

      env = Environment.new(stdin, stderr)
      expect(env.password).to eq('passwd')
    end
  end
end
