# encoding: utf-8
require 'spec_helper'

describe ProxyTester do
  context '.load_user_database' do
    it 'loads the database' do
      user_file = create_file 'users.csv', <<-EOS.strip_heredoc
      "name","password"
      "user1","password1"
      EOS

      config_file = create_file 'config.yaml', <<-EOS.strip_heredoc
      user_file: #{user_file}
      EOS

      ProxyTester.config = ProxyTester::Config.new(config_file)
      ProxyTester.load_user_database

      expect {
        User.find_by!(name: 'user1')
      }.not_to raise_error
    end

  end
end
