# encoding: utf-8
require 'spec_helper'

describe 'Have Requests with status code Matcher' do
  it 'checks if a site references a given list of domains with results in a given status code' do
    domains = { 
      'example.org' => 200,
    }

    use_proxy 'localhost:3128'
    visit('http://example.org')

    expect(page).to have_requests_with_status_code domains
  end

  it 'checks if a site not references a given list of domains' do
    domains = { 
      'example.org' => 500,
    }

    use_proxy 'localhost:3128'
    visit('http://example.org')

    expect(page).not_to have_requests_with_status_code domains
  end
end
