# encoding: utf-8
require 'spec_helper'

describe PacResult do
  it 'parses pac result' do
    result = PacResult.new('PROXY localhost:3128')

    expect(result.proxy).to eq('localhost')
    expect(result.proxy_port).to eq('3128')
    expect(result.request_type).to eq('PROXY')
  end

  it 'returns verbatim' do
    string = 'PROXY localhost:3128'
    result = PacResult.new(string)
    expect(result.verbatim).to eq(string)
  end

  it 'parses pac result' do
    result = PacResult.new('DIRECT')

    expect(result.proxy).to eq(nil)
    expect(result.proxy_port).to eq(nil)
    expect(result.request_type).to eq('DIRECT')
  end
end
