# encoding: utf-8
require_relative 'capybara'

module InternetBrowsingBnk
  module SpecHelper
    module Features
      def search_for(options = {})
        url       = options.fetch(:url)
        content   = options.fetch(:content)
        client_ip = options.fetch(:client_ip, nil)
        time      = options.fetch(:time, nil)
        pac_file  = options.fetch(:pac_file, '/file.pac')

        visit(pac_file)
        within('#search') do
          fill_in 'url', :with => url
          fill_in('client_ip', :with => client_ip) if client_ip
          fill_in('time', :with => time) if time
        end
        click_on('Search')
        expect(page).to have_content(content)
      end
    end
  end
end

# encoding: utf-8
RSpec.configure do |c|
  c.include InternetBrowsingBnk::SpecHelper::Features
end

