# encoding: utf-8
require 'spec_helper'

describe TemplateRepository do
  let(:creator_klass) do
    Class.new do
      def initialize(path)
      end

      def name
        :template
      end

      def content
        'content'
      end
    end
  end

  context '#initialize' do
    it 'accepts a path' do
      TemplateRepository.new('path', creator_klass)
    end
  end

  context '#find' do

    it 'finds a template by name' do
      dir = create_directory('repo')
      file = create_file('repo/template.erb')
      repo = TemplateRepository.new(dir, creator_klass)
      template_file = repo.find(::File.basename(file, '.*'))
      expect(template_file.name).to eq(:template)
    end

    it 'finds a template by name' do
      dir = create_directory('repo')
      file = create_file('repo/template.erb')
      repo = TemplateRepository.new(dir, creator_klass)
      template_file = repo.find(::File.basename(file, '.*').to_sym)
      expect(template_file.name).to eq(:template)
    end
  end
end
